BlitzReels
BlitzReelsDocumentation
API Reference
GET
/audio-library/search

Authorization

ApiKeyAuth
Authorization<token>

Use Bearer br_live_....

In: header

Query Parameters

query*string
Length1 <= length <= 160
provider?string

Value in

  • "all"
  • "openverse"
  • "freesound"
  • "wikimedia"
  • "remotion"
license?string

Value in

  • "cc0"
  • "public_domain"
  • "no_attribution"
  • "attribution"
  • "all"
audio_type?string

Value in

  • "music"
  • "sound_effect"
  • "ambient"
  • "other"
min_duration_seconds?|null
max_duration_seconds?|null
limit?integer
Range1 <= value <= 50
page?integer
Range1 <= value <= 9007199254740991

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/audio-library/search?query=string"
{  "items": [    {      "provider": "openverse",      "external_id": "string",      "title": "string",      "creator_name": "string",      "creator_url": "string",      "source_url": "string",      "preview_url": "string",      "download_url": "string",      "duration_seconds": 0,      "license_code": "string",      "license_url": "string",      "requires_attribution": true,      "attribution_text": "string",      "commercial_use_allowed": true,      "tags": [        "string"      ]    }  ],  "warnings": [    "string"  ],  "providers": [    "openverse"  ]}